package com.ajb.car.vo.meta;


import java.util.Date;
import java.math.BigDecimal;

/**
  车品牌列表
*/

public class AgMdVehicleBrandDeleteRequestVO implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// serial id
	private Long id;
	// 车品牌名
	private String brandName;
	// 车品牌英文名
	private String brandNameEn;
	// 车品牌英文缩写
	private String brandNameAbbre;
	// 0=No, 1=Yes热门品牌
	private Integer isPopular;
	// 0=No, 1=Yes
	private Integer isActive;
	private Date createdAt;
	private Integer createdBy;

	/** ?? serial id,???? ag_md_vehicle_brand.id */
	public void setId(Long id){
		this.id = id;
	}
	/** ?? serial id,???? ag_md_vehicle_brand.id */
	public Long getId(){
		return this.id;
	}

	/** ?? 车品牌名,???? ag_md_vehicle_brand.brand_name */
	public void setBrandName(String brandName){
		this.brandName = brandName;
	}
	/** ?? 车品牌名,???? ag_md_vehicle_brand.brand_name */
	public String getBrandName(){
		return this.brandName;
	}

	/** ?? 车品牌英文名,???? ag_md_vehicle_brand.brand_name_en */
	public void setBrandNameEn(String brandNameEn){
		this.brandNameEn = brandNameEn;
	}
	/** ?? 车品牌英文名,???? ag_md_vehicle_brand.brand_name_en */
	public String getBrandNameEn(){
		return this.brandNameEn;
	}

	/** ?? 车品牌英文缩写,???? ag_md_vehicle_brand.brand_name_abbre */
	public void setBrandNameAbbre(String brandNameAbbre){
		this.brandNameAbbre = brandNameAbbre;
	}
	/** ?? 车品牌英文缩写,???? ag_md_vehicle_brand.brand_name_abbre */
	public String getBrandNameAbbre(){
		return this.brandNameAbbre;
	}

	/** ?? 0=No, 1=Yes热门品牌,???? ag_md_vehicle_brand.is_popular */
	public void setIsPopular(Integer isPopular){
		this.isPopular = isPopular;
	}
	/** ?? 0=No, 1=Yes热门品牌,???? ag_md_vehicle_brand.is_popular */
	public Integer getIsPopular(){
		return this.isPopular;
	}

	/** ?? 0=No, 1=Yes,???? ag_md_vehicle_brand.is_active */
	public void setIsActive(Integer isActive){
		this.isActive = isActive;
	}
	/** ?? 0=No, 1=Yes,???? ag_md_vehicle_brand.is_active */
	public Integer getIsActive(){
		return this.isActive;
	}

	public void setCreatedAt(Date createdAt){
		this.createdAt = createdAt;
	}
	public Date getCreatedAt(){
		return this.createdAt;
	}

	public void setCreatedBy(Integer createdBy){
		this.createdBy = createdBy;
	}
	public Integer getCreatedBy(){
		return this.createdBy;
	}

}